Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038909
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminorhave not tried2018-07-06 10:192018-08-08 13:06
ReporterplujanView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision070fbca94d52
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionmainSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038909: [PR18Q3] [PLM] "PLM Status" field in Product window should be renamed

DescriptionAs part of the project Product Lifecycle Management a new field has been added to the Product window to set the status of the product.

The label for that field is set as "PLM Status", a name that can be improved.

"PLM" as an acronym is redundant since the window is Product, and the latter part, "Status" only affects Lifecycle of the product.
Steps To ReproduceOpen the product window and check the field as highlighted in the attached screenshot
Proposed SolutionCheck with some functional stakeholder what is a better name from an end user point of view. I've discussed it with DBA and MTR and both agree current label is not the best choice we can make.
TagsNo tags attached.
Attached Filespng file icon PLM-StatusField.png [^] (40,514 bytes) 2018-07-06 10:19

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105664)
dbaz (developer)
2018-07-06 13:45

The label name should be changed to "Lifecycle Status"

"PLM Status" or "Product Lifecycle Management Status" indicates the status of the overall PLM system and not the one of a particular product.

"Product Lifecycle Status" has a redundant "Product" that could apply to any field of the "Product" window, and it is not included in anyone.

Just "Status" could be perceived as another kind of status different than the lifecycle one.
(0106020)
collazoandy4 (developer)
2018-07-30 16:14

Test Plan
  Go to Product window create a new record and check the field PLM Status was renamed to Lifecycle Status
(0106027)
hgbot (developer)
2018-07-31 08:52

Repository: erp/devel/pi
Changeset: 070fbca94d52ff455f0c23e2b022ade6631cb20c
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 26 10:40:34 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/070fbca94d52ff455f0c23e2b022ade6631cb20c [^]

Fixes issue 0038909:"PLM Status" field in Product window should be renamed

As part of the project Product Lifecycle Management a new field has been added
to the Product window to set the status of the product. The label for that field
is set as "PLM Status", a name that can be improved.

The PLM Status field was renamed to Lifecycle Status in Product window.

---
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0106028)
Sandrahuguet (developer)
2018-07-31 08:52

Code review + testing OK
(0106034)
hgbot (developer)
2018-07-31 10:33

Repository: erp/pmods/org.openbravo.retail.config
Changeset: 9ba7c771f341d4620dde0444da28181a05ced1c4
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Tue Jul 31 10:33:00 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.config/rev/9ba7c771f341d4620dde0444da28181a05ced1c4 [^]

Fix dbconsistency , related to issue 38909 'PLM Status' field

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0106234)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-07-06 10:19 plujan New Issue
2018-07-06 10:19 plujan Assigned To => platform
2018-07-06 10:19 plujan File Added: PLM-StatusField.png
2018-07-06 10:19 plujan Modules => Core
2018-07-06 10:19 plujan Triggers an Emergency Pack => No
2018-07-06 11:49 alostale Assigned To platform => Triage Finance
2018-07-06 13:45 dbaz Note Added: 0105664
2018-07-27 01:32 collazoandy4 Assigned To Triage Finance => collazoandy4
2018-07-27 01:32 collazoandy4 Status new => scheduled
2018-07-30 16:14 collazoandy4 Note Added: 0106020
2018-07-31 08:52 hgbot Checkin
2018-07-31 08:52 hgbot Note Added: 0106027
2018-07-31 08:52 hgbot Status scheduled => resolved
2018-07-31 08:52 hgbot Resolution open => fixed
2018-07-31 08:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/070fbca94d52ff455f0c23e2b022ade6631cb20c [^]
2018-07-31 08:52 Sandrahuguet Review Assigned To => Sandrahuguet
2018-07-31 08:52 Sandrahuguet Note Added: 0106028
2018-07-31 08:52 Sandrahuguet Status resolved => closed
2018-07-31 08:52 Sandrahuguet Fixed in Version => 3.0PR18Q4
2018-07-31 10:33 hgbot Checkin
2018-07-31 10:33 hgbot Note Added: 0106034
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106234


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker